Subject: Rework workspace notification settings

Description

Different notifications on stages

Currently there are several notification settings for these stages:
- edit stage: takes recipients from "adminusers" (workspace owners)
- "ready to publish" stage: takes recipients from "members" (workspace members)

However, the "execute publish" stage is not considered here.

Different behaviors for each stage

Each stage has to possibility to define "default users" with the following behavior:
- all (non-strict)
- if users from workspace setting (field "adminusers" or "members") which are also in the specific "default_users" setting for the
stage, the checkbox is enabled by default and cannot be changed - otherwise it's not checked
- all (strict)
- all users from workspace setting (field "adminusers” or "members") are checked and cannot be changed
- some (whatever "some" should mean in general)
- all users from workspace setting (field "adminusers” or "members") are checked, but still can be changed

So, the specific "default_users" is just used in one case. Besides that, default_users and the workspaces settings are not merged - if
there's no intersection for the mode "all (non-strict)" no recipient is checked per default.

More flexible approach

A more flexible approach would be to define (for each stage, plus the "execute publish" state and the individual stages):
- that nobody is selected per default
- the everybody is selected per default (standard case)
- the initial author of a change is included
- the workspace owners are included (currently this is only the case if "ready to publish" or "publish execute"
- whether the selected elements can be unchecked again (protected mode)

Draft

See hitps://github.com/ohader/irre_workspaces/blob/master/Classes/Service/BehaviourService.php for a first draft implementation to
e.g. resolve editors for each element. Using domain models or at least virtual containers for live/version records seems to be a first
requirement.

Related issues:
related to Core - Feature # 35246: Make use of Extbase features New 2012-03-26

History

#1 - 2012-03-27 09:03 - Oliver Hader
- File issue_35245.png added

#2 - 2012-03-27 09:07 - Gerrit Code Review
- Status changed from New to Under Review
https://github.com/ohader/irre_workspaces/blob/master/Classes/Service/BehaviourService.php

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/9890

#3 - 2013-12-10 00:57 - Michael Stucki
- Category changed from New Features to Workspaces

#4 - 2013-12-10 01:01 - Michael Stucki
- Project changed from Workspaces & Versioning to Core

- Category changed from Workspaces to Workspaces

#5 - 2014-06-26 13:37 - Oliver Hader
- Subject changed from Rework notification settings to Rework workspace notification settings

#6 - 2014-06-26 13:39 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/31160

#7 - 2014-06-29 18:23 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/31160

#8 - 2014-06-30 18:05 - Oliver Hader
- Parent task set to #60008

#9 - 2014-07-02 09:16 - Oliver Hader
- File deleted (issue_35245.png)

#10 - 2014-07-02 09:19 - Oliver Hader
- File 35245 _workspace.png added
- File 35245_stage.png added

#11 - 2014-07-02 09:20 - Oliver Hader
#12 - 2014-08-13 16:42 - Oliver Hader

- Tracker changed from Task to Feature

#13 - 2015-01-23 11:33 - Mathias Schreiber
- Target version changed from 6.0.0 to 7.5

#14 - 2015-03-13 15:19 - Gerrit Code Review
http://review.typo3.org/9890
https://review.typo3.org/31160
https://review.typo3.org/31160

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/31160

Files
35245_workspace.png 70.1 kB 2014-07-02 Oliver Hader
35245_stage.png 53.4 kB 2014-07-02 Oliver Hader

2015-08-04 3/3


http://review.typo3.org/31160

